## golang-step-linkedca 0.0~git20210611.27424aa

=== Makefile ===
all: generate

generate:
	protoc --proto_path=. --go_out=. --go-grpc_out=. --go_opt=paths=source_relative --go-grpc_opt=paths=source_relative provisioners.proto admin.proto majordomo.proto

.PHONY: all generate

=== debian/changelog ===
golang-step-linkedca (0.0~git20210611.27424aa-2) unstable; urgency=medium

  * Initial release (Closes: #991047)

 -- Peymaneh <peymaneh@posteo.net>  Thu, 24 Nov 2022 12:17:40 +0100

=== debian/control ===
Source: golang-step-linkedca
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh <peymaneh@posteo.net>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-google-grpc-dev (>= 1.32.0~),
               golang-google-protobuf-dev
Standards-Version: 4.6.1.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.step-linkedca
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.step-linkedca.git
Homepage: https://github.com/smallstep/linkedca
Rules-Requires-Root: no
XS-Go-Import-Path: go.step.sm/linkedca

Package: golang-step-linkedca-dev
Architecture: all
Depends: golang-google-grpc-dev (>= 1.32.0~),
         golang-google-protobuf-dev,
         ${misc:Depends}
Description: go support library for Linked Certificate Authorities
 This package implements Types and functions supporting Linked CAs
 using protocol buffers and gRPC.
 .
 For documentation see https://pkg.go.dev/go.step.sm/linkedca

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/smallstep/linkedca.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-go.step-linkedca-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/smallstep/linkedca/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-step-linkedca 0.19.0

=== Makefile ===
# Set V to 1 for verbose output from the Makefile
Q=$(if $V,,@)
SRC=$(shell find . -type f -name '*.go')

all: lint generate test

ci: test

.PHONY: all ci

#########################################
# Build
#########################################

build: ;

#########################################
# Bootstrapping
#########################################

bootstra%:
	$Q curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $$(go env GOPATH)/bin v1.49.0
	$Q go install golang.org/x/vuln/cmd/govulncheck@latest
	$Q go install gotest.tools/gotestsum@v1.8.1

.PHONY: bootstrap

#########################################
# Test
#########################################

test:
	$Q $(GOFLAGS) gotestsum -- -coverpkg=./... -coverprofile=coverage.out -covermode=atomic ./...

race:
	$Q $(GOFLAGS) gotestsum -- -race ./...

.PHONY: test race

#########################################
# Linting
#########################################

fmt:
	$Q goimports -local github.com/golangci/golangci-lint -l -w $(SRC)

lint: SHELL:=/bin/bash
lint:
	$Q LOG_LEVEL=error golangci-lint run --config <(curl -s https://raw.githubusercontent.com/smallstep/workflows/master/.golangci.yml) --timeout=30m
	$Q govulncheck ./...

.PHONY: fmt lint

#########################################
# Generate
#########################################

generate:
	protoc --proto_path=. --go_out=. --go-grpc_out=. --go_opt=paths=source_relative --go-grpc_opt=paths=source_relative provisioners.proto admin.proto config.proto eab.proto majordomo.proto policy.proto

.PHONY: generate

=== debian/changelog ===
golang-step-linkedca (0.19.0-1) unstable; urgency=medium

  * d/watch: upstream tags its releases now
  * New upstream version 0.19.0
  * d/control: Update dependencies

 -- Peymaneh <peymaneh@posteo.net>  Thu, 24 Nov 2022 19:47:06 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
                dh-golang,
                golang-any,
                golang-google-grpc-dev (>= 1.32.0~),
-               golang-google-protobuf-dev
+               golang-google-protobuf-dev,
+               golang-github-stretchr-testify-dev,
 Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.step-linkedca
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.step-linkedca.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-go.step-linkedca-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/smallstep/linkedca/tags .*/v?(\d\S*)\.tar\.gz debian
